QErrorMessage(3qt)

NAME
QErrorMessage - Error message display dialog

SYNOPSIS
#include <ntqerrormessage.h>

Inherits QDialog.

  Public Members
QErrorMessage ( TQWidget * parent, const char * name = 0 )
~QErrorMessage ()

  Public Slots
void message ( const TQString & m )

  Static Public Members
QErrorMessage * qtHandler ()

DESCRIPTION
The QErrorMessage class provides an error message display dialog.

This is basically a QLabel and a "show this message again" checkbox which remembers what not to show.

There are two ways to use this class: <ol type=1>

1   For production applications. In this context the class can be used to display messages which you don't need the user to see more than once. To use QErrorMessage like this, you create the dialog in the usual way and call the message() slot, or connect signals to it.

2   For developers. In this context the static qtHandler() installs a message handler using qInstallMsgHandler() and creates a QErrorMessage that displays tqDebug(), tqWarning() and tqFatal() messages.

In both cases QErrorMessage will queue pending messages, and display them (or not) in order, as soon as the user presses Enter or clicks OK after seeing each message.

<center>
[Image Omitted]

</center>

See also QMessageBox, QStatusBar::message(), Dialog Classes, and Miscellaneous Classes.

MEMBER FUNCTION DOCUMENTATION

QErrorMessage::QErrorMessage ( TQWidget * parent, const char * name = 0 )
Constructs and installs an error handler window. The parent parent and name name are passed on to the QDialog constructor.

QErrorMessage::~QErrorMessage ()
Destroys the object and frees any allocated resources. Notably, the list of "do not show again" messages is deleted.

void QErrorMessage::message ( const TQString & m ) [slot]
Shows message m and returns immediately. If the user has requested that m not be shown, this function does nothing.

Normally, m is shown at once, but if there are pending messages, m is queued for later display.

QErrorMessage * QErrorMessage::qtHandler () [static]
Returns a pointer to a QErrorMessage object that outputs the default TQt messages. This function creates such an object, if there isn't one already.

SEE ALSO
http://doc.trolltech.com/ntqerrormessage.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqerrormessage.3qt) and the Qt version (3.3.8).